Create a marketplace work order from storage Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
POST /v1/marketplace_work_orders

Creates a work order (no receivable) with items sourced from storage. Resolves listing_sku + fulfillment_channel to the correct Listing record.

application/json

Body

  • warehouse_id integer Required

    ID of the item-level warehouse

  • items array[object] Required
    Hide items attributes Show items attributes object
    • listing_sku string Required

      Marketplace primary SKU (listing_mp_primary_id)

    • quantity integer Required

      Number of units

    • fulfillment_channel string Required

      FBA or WFS

      Values are FBA or WFS.

Responses

  • 201 application/json

    Work order created successfully

    Hide response attribute Show response attribute object
    • work_order_id integer

      ID of the newly created work order

  • 422 application/json

    Items cannot be blank

    Hide response attribute Show response attribute object
    • errors array[string]
  • 404 application/json

    Warehouse not found

    Hide response attribute Show response attribute object
    • errors array[string]
  • 401

    Unauthorized when org_id is missing

POST /v1/marketplace_work_orders
curl \
 --request POST 'https://api.pattern.com/hub/v1/marketplace_work_orders' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"warehouse_id":42,"items":[{"listing_sku":"string","quantity":42,"fulfillment_channel":"FBA"}]}'
Request examples
{
  "warehouse_id": 42,
  "items": [
    {
      "listing_sku": "string",
      "quantity": 42,
      "fulfillment_channel": "FBA"
    }
  ]
}
Response examples (201)
{
  "work_order_id": 42
}
Response examples (422)
{
  "errors": [
    "string"
  ]
}
Response examples (404)
{
  "errors": [
    "string"
  ]
}